<template>
  <div class="dropdown">
    <div class="dropdown-item" @click="checkResult(column)">
      <span class="icon"><ClipboardCheckOutlineIcon></ClipboardCheckOutlineIcon></span><span>Ergebnis prüfen</span>
    </div>
    <div class="dropdown-item">
      <span class="icon"><PlusBoxOutlineIcon></PlusBoxOutlineIcon></span><span>Regel hinzufügen</span>
    </div>
    <div class="dropdown-item">
      <span class="icon"><DeleteSweepOutlineIcon></DeleteSweepOutlineIcon></span><span>Spalte leeren</span>
    </div>
  </div>
</template>

<script>
import ClipboardCheckOutlineIcon from "vue-material-design-icons/ClipboardCheckOutline.vue"
import DeleteSweepOutlineIcon from "vue-material-design-icons/DeleteSweepOutline.vue"
import PlusBoxOutlineIcon from "vue-material-design-icons/PlusBoxOutline.vue"
export default {
  name: "Dropdown",
  props: ['column'],
  emits: ['checkResult'],
  components: {
    ClipboardCheckOutlineIcon,
    DeleteSweepOutlineIcon,
    PlusBoxOutlineIcon
  },
  setup(_, { emit }) {
    const checkResult = (column) => {
      emit('checkResult')
    }
    return {
      checkResult
    }
  }
}
</script>

<style scoped>

</style>